<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: FileSystem.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">FileSystem.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * FileSystem.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Created on: May 20, 2017</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *      Author: kolban</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef COMPONENTS_CPP_UTILS_FILESYSTEM_H_</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define COMPONENTS_CPP_UTILS_FILESYSTEM_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;File.h&gt;</span></div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classFileSystem.html">   16</a></span>&#160;<span class="keyword">class </span><a class="code" href="classFileSystem.html">FileSystem</a> {</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keyword">static</span> std::vector&lt;File&gt;        <a class="code" href="classFileSystem.html#a300fa44365bef5cfc3abfb6a9ad117ee">getDirectoryContents</a>(std:: string path);</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span>                     <a class="code" href="classFileSystem.html#a1d26f2ead3b09835e795250b3140bdea">dumpDirectory</a>(std::string path);</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">bool</span>                     <a class="code" href="classFileSystem.html#aac9e04e4ec84a9edbf43fe0577d77305">isDirectory</a>(std::string path);</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">int</span>                      <a class="code" href="classFileSystem.html#afc239ff3e7e3d725a025441e4d7d4f8f">mkdir</a>(std::string path);</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">static</span> std::vector&lt;std::string&gt; <a class="code" href="classFileSystem.html#aa984bbcf530da4ee990bb353f579055a">pathSplit</a>(std::string path);</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">int</span>                      <a class="code" href="classFileSystem.html#a9dbe34309a1663db28419a65cf8850fc">remove</a>(std::string path);</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;};</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COMPONENTS_CPP_UTILS_FILESYSTEM_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classFileSystem_html_aac9e04e4ec84a9edbf43fe0577d77305"><div class="ttname"><a href="classFileSystem.html#aac9e04e4ec84a9edbf43fe0577d77305">FileSystem::isDirectory</a></div><div class="ttdeci">static bool isDirectory(std::string path)</div><div class="ttdoc">Does the path refer to a directory?</div><div class="ttdef"><b>Definition:</b> FileSystem.cpp:85</div></div>
<div class="ttc" id="classFileSystem_html_a9dbe34309a1663db28419a65cf8850fc"><div class="ttname"><a href="classFileSystem.html#a9dbe34309a1663db28419a65cf8850fc">FileSystem::remove</a></div><div class="ttdeci">static int remove(std::string path)</div><div class="ttdoc">Remove a file from the file system.</div><div class="ttdef"><b>Definition:</b> FileSystem.cpp:149</div></div>
<div class="ttc" id="classFileSystem_html"><div class="ttname"><a href="classFileSystem.html">FileSystem</a></div><div class="ttdoc">File system utilities.</div><div class="ttdef"><b>Definition:</b> FileSystem.h:16</div></div>
<div class="ttc" id="classFileSystem_html_a300fa44365bef5cfc3abfb6a9ad117ee"><div class="ttname"><a href="classFileSystem.html#a300fa44365bef5cfc3abfb6a9ad117ee">FileSystem::getDirectoryContents</a></div><div class="ttdeci">static std::vector&lt; File &gt; getDirectoryContents(std::string path)</div><div class="ttdoc">Get the contents of a directory.</div><div class="ttdef"><b>Definition:</b> FileSystem.cpp:63</div></div>
<div class="ttc" id="classFileSystem_html_a1d26f2ead3b09835e795250b3140bdea"><div class="ttname"><a href="classFileSystem.html#a1d26f2ead3b09835e795250b3140bdea">FileSystem::dumpDirectory</a></div><div class="ttdeci">static void dumpDirectory(std::string path)</div><div class="ttdoc">Dump a given directory to the log.</div><div class="ttdef"><b>Definition:</b> FileSystem.cpp:28</div></div>
<div class="ttc" id="classFileSystem_html_afc239ff3e7e3d725a025441e4d7d4f8f"><div class="ttname"><a href="classFileSystem.html#afc239ff3e7e3d725a025441e4d7d4f8f">FileSystem::mkdir</a></div><div class="ttdeci">static int mkdir(std::string path)</div><div class="ttdoc">Create a directory.</div><div class="ttdef"><b>Definition:</b> FileSystem.cpp:99</div></div>
<div class="ttc" id="classFileSystem_html_aa984bbcf530da4ee990bb353f579055a"><div class="ttname"><a href="classFileSystem.html#aa984bbcf530da4ee990bb353f579055a">FileSystem::pathSplit</a></div><div class="ttdeci">static std::vector&lt; std::string &gt; pathSplit(std::string path)</div><div class="ttdoc">Return the constituent parts of the path. If we imagine a path as composed of parts separated by slas...</div><div class="ttdef"><b>Definition:</b> FileSystem.cpp:129</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
